Subject: Re: bug#18873: 25.0.50; EMACS crashes at startup on Window7 with Eacute in HOME path

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Oct 2014 18:48:32 +0200

> From: Vincent Belaïche <[email-masked]>
> Date: Tue, 28 Oct 2014 17:39:12 +0100
> 
> I have installed a fairly Emacs from source (I think that the bzr
> update was of 2014-10-25) on a Windows7 machine. My son Émile has an
> account on this machine. The first letter of Émile is a capital E acute,
> coded as  &Eacute; HTML, or \'E in TeX. His account is not an
> administrator account, but a plain user account.
> 
> Now, when I start Emacs from his account, it immediately crashes. HOME
> is by default on his account the following path (with Émile inside it):
> 
>       c:/Users/Émile/AppData/Roaming
> 
> Attached is a gdb log of the crashes.

Thanks, but please try to provide a Lisp-level backtrace as well (it
will happen automatically if you arrange for .gdbinit to be read, as
suggested by GDB:

> warning: File "C:\Programmes\installation\emacs-install\emacs\trunk\src\.gdbinit" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
> To enable execution of this file add
> 	add-auto-load-safe-path C:\Programmes\installation\emacs-install\emacs\trunk\src\.gdbinit
> line to your configuration file "$HOME/.gdbinit".
> To completely disable this security protection add
> 	set auto-load safe-path /
> line to your configuration file "$HOME/.gdbinit".

or read it manually with the "source" command).